grk::GrkIOBuf Struct Reference

`#include <StripCache.h>`

Inheritance diagram for grk::GrkIOBuf:

## Public Member Functions

| GrkIOBuf ()
| GrkIOBuf (uint8_t *data, size_t offset, size_t dataLen, size_t allocLen, bool pooled, uint32_t index)
| GrkIOBuf (const grk_io_buf rhs)
uint32_t | getIndex (void) const
bool | alloc (size_t len)
void | dealloc ()

## Additional Inherited Members

Public Attributes inherited from _grk_io_buf
uint8_t * | data_
size_t | offset_
size_t | len_
size_t | allocLen_
bool | pooled_
uint32_t | index_

## Constructor & Destructor Documentation

## GrkIOBuf() [1/3]

grk::GrkIOBuf::GrkIOBuf | ( |  | ) |

inline

## GrkIOBuf() [2/3]

grk::GrkIOBuf::GrkIOBuf | ( | uint8_t * | data,
|  | size_t | offset,
|  | size_t | dataLen,
|  | size_t | allocLen,
|  | bool | pooled,
|  | uint32_t | index
| ) |  |

inline

References _grk_io_buf::allocLen_, _grk_io_buf::data_, grk::grk_read(), _grk_io_buf::index_, _grk_io_buf::len_, _grk_io_buf::offset_, and _grk_io_buf::pooled_.

## GrkIOBuf() [3/3]

grk::GrkIOBuf::GrkIOBuf | ( | const grk_io_buf | rhs | ) |

inline explicit

References _grk_io_buf::allocLen_, _grk_io_buf::data_, grk::grk_read(), _grk_io_buf::index_, _grk_io_buf::len_, _grk_io_buf::offset_, and _grk_io_buf::pooled_.

## Member Function Documentation

## alloc()

bool grk::GrkIOBuf::alloc | ( | size_t | len | ) |

inline

References _grk_io_buf::allocLen_, _grk_io_buf::data_, dealloc(), grk::grk_aligned_malloc(), grk::grk_read(), and _grk_io_buf::len_.

Referenced by grk::BufPool::get().

## dealloc()

void grk::GrkIOBuf::dealloc | ( |  | ) |

inline

References _grk_io_buf::data_, and grk::grk_aligned_free().

Referenced by alloc().

## getIndex()

uint32_t grk::GrkIOBuf::getIndex | ( | void |  | ) | const

inline

References _grk_io_buf::index_.

The documentation for this struct was generated from the following file:

- StripCache.h